Bug 2150880 - Insert with Ctrl-Shift-v kills geany
Summary: Insert with Ctrl-Shift-v kills geany
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: geany
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-12-05 14:01 UTC by markusN
Modified: 2023-11-04 03:45 UTC (History)
5 users (show)

Fixed In Version: geany-2.0-1.fc39 geany-2.0-1.fc38 geany-2.0-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-03 18:45:06 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
coredump analysis (20.62 KB, text/plain)
2023-03-26 15:05 UTC, markusN
no flags Details

Description markusN 2022-12-05 14:01:21 UTC
Description of problem:
Insert with Ctrl-Shift-v kills geany

Version-Release number of selected component (if applicable):
geany-1.38-2.fc36.x86_64

How reproducible:
1. open `geany`
2. press (together) Ctrl-Shift-v
3. see crash


/usr/include/c++/12/bits/shared_ptr_base.h:1349: std::__shared_ptr_access<_Tp, _Lp, <anonymous>, <anonymous> >::element_type& std::__shared_ptr_access<_Tp, _Lp, <anonymous>, <anonymous> >::operator*() const [with _Tp = vte::platform::Clipboard; __gnu_cxx::_Lock_policy _Lp = __gnu_cxx::_S_atomic; bool <anonymous> = false; bool <anonymous> = false; element_type = vte::platform::Clipboard]: Assertion '_M_get() != nullptr' failed.
Aborted (core dumped)

Expected results:
geany should survive an "insert" with Ctrl-Shift-v.

Comment 1 Dominic Hopf 2022-12-07 07:47:49 UTC
I cannot reproduce the issue here on my machine. Probably the interesting question is, what was in the clipboard what you've tried to paste?

Comment 2 markusN 2022-12-12 21:23:23 UTC
In the clipboard is for example my own user name, copied from the clipboard.

mneteler@caddy: ~$ geany

[here simply copy an ASCII word from the terminal, like the file owner user name from a `ls -la` listing, then CTRL-SHIFT-v, and "zapp":]

/usr/include/c++/12/bits/shared_ptr_base.h:1349: std::__shared_ptr_access<_Tp, _Lp, <anonymous>, <anonymous> >::element_type& std::__shared_ptr_access<_Tp, _Lp, <anonymous>, <anonymous> >::operator*() const [with _Tp = vte::platform::Clipboard; __gnu_cxx::_Lock_policy _Lp = __gnu_cxx::_S_atomic; bool <anonymous> = false; bool <anonymous> = false; element_type = vte::platform::Clipboard]: Assertion '_M_get() != nullptr' failed.
Aborted (core dumped)

mneteler@caddy: ~$ abrt-cli
fd5a57c 2x geany 2022-12-12 22:14:12

Unfortunately I don't know how to find the report on the retrace server.

FWIW, I am using xfce4 4.16.0.

Comment 3 markusN 2023-03-26 13:43:38 UTC
The geany crash during pasting happened again and I found this line in `~/.xsession-errors`:

(xfce4-notifyd:3753298): Gtk-WARNING **: 13:08:45.773: Failed to set text 'Fwd: some text ... Kölnstraße - ...' from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity — escape ampersand as &amp;

Comment 4 markusN 2023-03-26 15:05:07 UTC
Created attachment 1953750 [details]
coredump analysis

Comment 5 markusN 2023-03-26 15:05:37 UTC
Attached the output of `coredumpctl gdb`

Comment 6 Ben Cotton 2023-04-25 18:25:43 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 7 Fedora Update System 2023-10-24 09:24:21 UTC
FEDORA-2023-6e660a7451 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6e660a7451

Comment 8 Fedora Update System 2023-10-24 09:24:22 UTC
FEDORA-2023-2106a1a955 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2106a1a955

Comment 9 Fedora Update System 2023-10-25 02:19:12 UTC
FEDORA-2023-2106a1a955 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2106a1a955`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2106a1a955

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-10-25 02:29:16 UTC
FEDORA-2023-6e660a7451 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-6e660a7451`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6e660a7451

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-10-25 02:52:46 UTC
FEDORA-2023-c0407cd6cf has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c0407cd6cf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c0407cd6cf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-10-26 01:52:00 UTC
FEDORA-2023-c0407cd6cf has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c0407cd6cf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c0407cd6cf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-10-26 02:47:07 UTC
FEDORA-2023-6e660a7451 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-6e660a7451`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6e660a7451

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2023-10-26 02:52:30 UTC
FEDORA-2023-2106a1a955 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2106a1a955`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2106a1a955

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2023-10-27 01:19:34 UTC
FEDORA-2023-6e660a7451 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-6e660a7451`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6e660a7451

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2023-10-27 02:14:13 UTC
FEDORA-2023-c0407cd6cf has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c0407cd6cf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c0407cd6cf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2023-10-27 02:17:26 UTC
FEDORA-2023-2106a1a955 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2106a1a955`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2106a1a955

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2023-11-03 18:45:06 UTC
FEDORA-2023-c0407cd6cf has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2023-11-04 03:41:43 UTC
FEDORA-2023-6e660a7451 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2023-11-04 03:45:14 UTC
FEDORA-2023-2106a1a955 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.